part of YIM;

enum YIMEnum_LoginResult { Success, Failed, Exception }

enum YIMEnum_OnlineState { Reconnect, Kick }

enum YIMEnum_EventOnline { Online, Offline }

enum _YIMEnum_ConversatypeUnRead { Plus, Minus, Zero, Nothing }

enum YIMEnum_ConversationType {
  UnKnown(rawValue: ""),
  P2P(rawValue: "0"),
  Team(rawValue: "1"),
  ChatRoom(rawValue: "2"),
  ;

  final String rawValue;

  const YIMEnum_ConversationType({required this.rawValue});

  static YIMEnum_ConversationType from(String? rawValue) => values.firstWhere((x) => x.rawValue == rawValue);
}

enum YIMEnum_MessageType {
  UnKnown(rawValue: ""),
  Text(rawValue: "0"),
  ;

  final String rawValue;

  const YIMEnum_MessageType({required this.rawValue});

  static YIMEnum_MessageType from(String? rawValue) => values.firstWhere((x) => x.rawValue == rawValue);
}

enum YIMEnum_MessageState {
  UnKnown(rawValue: ""),
  Sending(rawValue: "1"),
  Success_Read(rawValue: "2"),
  Success_UnRead(rawValue: "3"),
  Fail(rawValue: "4"),
  ;

  final String rawValue;

  const YIMEnum_MessageState({required this.rawValue});

  static YIMEnum_MessageState from(String? rawValue) => values.firstWhere((x) => x.rawValue == rawValue);
}

enum YIMEnum_QueryDirection {
  UnKnown(rawValue: ""),
  Old(rawValue: "1"),
  New(rawValue: "2"),
  ;

  final String rawValue;

  const YIMEnum_QueryDirection({required this.rawValue});

  static YIMEnum_QueryDirection from(String? rawValue) => values.firstWhere((x) => x.rawValue == rawValue);
}
