library YIM;

import 'dart:async';
import 'dart:convert';
import 'dart:io';
import 'dart:math';
import 'package:flutter/foundation.dart';
import 'package:path_provider/path_provider.dart';
import 'package:sembast/sembast.dart';
import 'package:sembast/sembast_io.dart';
import 'package:sembast_web/sembast_web.dart';
import 'package:socket_io_client/socket_io_client.dart';
import 'package:ulid/ulid.dart';

part 'config/YIMConfig.dart';

part 'core/YIMCore.dart';

part 'manager/YIMUtilsManager.dart';

part 'manager/YIMConversationManager.dart';

part 'manager/YIMEventManager.dart';

part 'manager/YIMListenerManager.dart';

part 'manager/YIMMessageManager.dart';

part 'manager/YIMSDKManager.dart';

part 'manager/YIMTeamManager.dart';

part 'manager/YIMUserManager.dart';

part 'model/YIMEnum.dart';

part 'model/YIMModel.dart';

part 'utils/YIMDB.dart';

part 'utils/YIMServer.dart';

part 'utils/YIMUtils.dart';

typedef YIM = _YIMCore;
